// Variables that are used on both client and server
SWEP.Instructions			= "Uses 5.45mm ammo, Alternate Mode: E + Right Click"
SWEP.Base 				= "umbrella_base_click"
SWEP.HoldType				= "smg"
SWEP.ViewModel			= "models/weapons/v_smg_aks.mdl"
SWEP.WorldModel			= "models/weapons/w_smg_aks.mdl"
SWEP.ViewModelFlip		= true
SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.ViewModelFOV		= 60
SWEP.Primary.Sound 		= Sound("Weapon_aP5.Single")
SWEP.Primary.Recoil		= 2.5
SWEP.Primary.Damage		= 20
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.0175
SWEP.Primary.Delay 		= 0.081632653061224489795918367346939

SWEP.Primary.ClipSize		= 30					// Size of a clip
SWEP.Primary.DefaultClip	= 30					// Default number of bullets in a clip
SWEP.Primary.Automatic		= true				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "HelicopterGun"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellEffect			= "effect_umb_shell_rifles"	// "effect_mad_shell_pistol" or "effect_mad_shell_rifle" or "effect_mad_shell_shotgun"

SWEP.Pistol				= false
SWEP.Rifle				= true
SWEP.Shotgun			= false
SWEP.Sniper				= false

SWEP.IronSightsPos = Vector (2.7288, -5.0013, 1.1849)
SWEP.IronSightsAng = Vector (0.0662, -0.0191, 0)
SWEP.RunArmOffset 		= Vector (-2.6657, 0, 3.5)
SWEP.RunArmAngle 			= Vector (-20.0824, -20.5693, 0)

SWEP.Type				= 1 					// 1 = Automatic/Semi-Automatic mode, 2 = Suppressor mode, 3 = Burst fire mode
SWEP.Mode				= true

SWEP.data 				= {}
SWEP.data.NormalMsg		= "Switched to automatic."
SWEP.data.ModeMsg			= "Switched to semi-automatic."



/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/aks/mp5-1.wav")
end
