// Variables that are used on both client and server
SWEP.Instructions			= "Uses 5.56mm ammo"
SWEP.Base 				= "umbrella_base"
SWEP.HoldType				= "smg"
SWEP.ViewModel			= "models/weapons/v_rif_m4a2.mdl"
SWEP.WorldModel			= "models/weapons/w_rif_m4a2.mdl"
SWEP.ViewModelFOV			= 65
SWEP.ViewModelFlip		= true
SWEP.Spawnable			= true
SWEP.AdminSpawnable		= false

SWEP.Primary.Sound 		= Sound("Weapon_14a1.Single")
SWEP.Primary.Recoil		= 2.2
SWEP.Primary.Damage		= 21
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.011
SWEP.Primary.Delay 		= 0.08

SWEP.Primary.ClipSize		= 20					// Size of a clip
SWEP.Primary.DefaultClip	= 20					// Default number of bullets in a clip
SWEP.Primary.Automatic		= false				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "AirboatGun"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellEffect			= "effect_umb_shell_rifles"	// "effect_mad_shell_pistol" or "effect_mad_shell_rifle" or "effect_mad_shell_shotgun"
SWEP.ShellDelay			= 0

SWEP.Pistol				= false
SWEP.Rifle				= true
SWEP.Shotgun			= false
SWEP.Sniper				= false

SWEP.IronSightsPos = Vector (3.0947, -1.4767, 1.0095)
SWEP.IronSightsAng = Vector (-0.2643, -0.2056, 0)
SWEP.RunArmOffset 		= Vector (-2.6657, 0, 3.5)
SWEP.RunArmAngle 			= Vector (-20.0824, -20.5693, 0)

SWEP.Type				= 3
SWEP.Mode				= false

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/14a1/m4a1_unsil-1.wav")
end