// Variables that are used on both client and server
SWEP.Instructions			= "Uses 9mm ammo"
SWEP.Base 				= "umbrella_base"
SWEP.HoldType				= "pistol"
SWEP.ViewModelFOV			= 70
SWEP.ViewModelFlip		= true
SWEP.ViewModel			= "models/weapons/v_pist_glock17.mdl"
SWEP.WorldModel			= "models/weapons/w_pist_glock17.mdl"

SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.Primary.Sound 		= Sound("Weapon_Alock.Single")
SWEP.Primary.Recoil		= 2.6
SWEP.Primary.Damage		= 17
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.0157
SWEP.Primary.Delay 		= 0.12

SWEP.Primary.ClipSize		= 17					// Size of a clip
SWEP.Primary.DefaultClip	= 17					// Default number of bullets in a clip
SWEP.Primary.Automatic		= false				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "Battery"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellEffect			= "effect_umb_shell_pistol"	// "effect_mad_shell_pistol" or "effect_mad_shell_rifle" or "effect_mad_shell_shotgun"
SWEP.ShellDelay			= 0.03

SWEP.Pistol				= true
SWEP.Rifle				= false
SWEP.Shotgun			= false
SWEP.Sniper				= false

SWEP.IronSightsPos = Vector (2.4089, -1.5004, 1.3197)
SWEP.IronSightsAng = Vector (1.2912, -2.5932, 0)

SWEP.RunArmOffset 	= Vector (0.1703, 0, 3.2242)
SWEP.RunArmAngle 			= Vector (-29.6614, 0.5052, 0.0057)

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/glock18/glock18-1.wav")
end