// Variables that are used on both client and server
SWEP.Instructions			= "Uses 9mm ammo"
SWEP.Base 				= "umbrella_base"
SWEP.HoldType				= "smg"
SWEP.ViewModelFlip		= true
SWEP.ViewModel			= "models/weapons/v_smg_mps.mdl"
SWEP.WorldModel			= "models/weapons/w_smg_mps.mdl"
SWEP.ViewModelFOV			= 70
SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.Primary.Sound 		= Sound("Weapon_MP5Savy.Single")
SWEP.Primary.Recoil		= 2.4
SWEP.Primary.Damage		= 17
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.0138
SWEP.Primary.Delay 		= 0.075

SWEP.Primary.ClipSize		= 30					// Size of a clip
SWEP.Primary.DefaultClip	= 30					// Default number of bullets in a clip
SWEP.Primary.Automatic		= false				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "Battery"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellEffect			= "effect_umb_shell_pistol"	// "effect_mad_shell_pistol" or "effect_mad_shell_rifle" or "effect_mad_shell_shotgun"

SWEP.Pistol				= false
SWEP.Rifle				= true
SWEP.Shotgun			= false
SWEP.Sniper				= false

SWEP.IronSightsPos = Vector (3.2537, -3.008, 1.5634)
SWEP.IronSightsAng = Vector (-0.5688, 0.0082, 0)
SWEP.RunArmOffset 		= Vector (-2.6657, 0, 2.5)
SWEP.RunArmAngle 			= Vector (-20.0824, -20.5693, 0)

SWEP.Type				= 1
SWEP.Mode				= false

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/mp5savy/mp5-1.wav")
end