// Variables that are used on both client and server

SWEP.Base 				= "umbrella_base_sniper"

SWEP.ViewModelFlip		= true
SWEP.ViewModel			= "models/weapons/v_uns_p90.mdl"
SWEP.WorldModel			= "models/weapons/w_uns_p90.mdl"
SWEP.HoldType				= "ar2"
SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.Primary.Sound 		= Sound("Weapon_s90.Single")
SWEP.Primary.Recoil		= 1.8
SWEP.Primary.Damage		= 15
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.0125
SWEP.Primary.Delay 		= 0.066666666666666666666666666666667

SWEP.Primary.ClipSize		= 50					// Size of a clip
SWEP.Primary.DefaultClip	= 50					// Default number of bullets in a clip
SWEP.Primary.Automatic		= true				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "AlyxGun"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellEffect			= "effect_umb_shell_57"	// "effect_mad_shell_pistol" or "effect_mad_shell_rifle" or "effect_mad_shell_shotgun"
SWEP.ShellDelay			= 0

SWEP.IronSightsPos = Vector (3.1946, -4.1898, 0.4363)
SWEP.IronSightsAng = Vector (0, 0, 0)
SWEP.RunArmOffset 		= Vector (-1.3984, -2.3764, 1.7354)
SWEP.RunArmAngle 			= Vector (-13.3275, -20.4303, 0)

SWEP.ScopeZooms			= {2}
SWEP.RedDot				= true

SWEP.Type				= 1
SWEP.Mode				= true

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/s90/p90-1.wav")
end