// Variables that are used on both client and server
SWEP.Instructions			= "Uses 12 Gauge Buckshot"
SWEP.Base 				= "umbrella_base_shotgun"

SWEP.HoldType				= "shotgun"
SWEP.ViewModelFlip		= true
SWEP.ViewModel			= "models/weapons/v_shot_r3super90.mdl"
SWEP.WorldModel			= "models/weapons/w_shot_r3super90.mdl"

SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.Primary.Sound 		= Sound("Weapon_sh.Single")
SWEP.Primary.Recoil		= 7
SWEP.Primary.Damage		= 4.3
SWEP.Primary.NumShots		= 20
SWEP.Primary.Cone			= 0.08
SWEP.Primary.Delay 		= 0.95

SWEP.Primary.ClipSize		= 6					// Size of a clip
SWEP.Primary.DefaultClip	= 6					// Default number of bullets in a clip
SWEP.Primary.Automatic		= false				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "Buckshot"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellDelay			= 0.53

SWEP.IronSightsPos = Vector (4.4439, -1.5004, 2.5236)
SWEP.IronSightsAng = Vector (0.0634, 0.0031, 0)
SWEP.RunArmOffset 		= Vector (-2.6657, 0, 3.5)
SWEP.RunArmAngle 		= Vector (-20.0824, -20.5693, 0)

SWEP.ShotgunReloading		= true
SWEP.ShotgunFinish		= 1.5
SWEP.ShotgunBeginReload		= 0.3

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/r3/m3-1.wav")
end