// Variables that are used on both client and server
SWEP.HoldType				= "smg"
SWEP.Base 				= "umbrella_base"
SWEP.Instructions			= "Uses .45Acp ammo, Alternate Mode: E + Right Click"
SWEP.ViewModelFlip		= true
SWEP.ViewModel			= "models/weapons/v_smg_umc45.mdl"
SWEP.WorldModel			= "models/weapons/w_smg_umc45.mdl"

SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.Primary.Sound 		= Sound("Weapon_UMC45.Single")
SWEP.Primary.Recoil		= 1.8
SWEP.Primary.Damage		= 20
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.018
SWEP.Primary.Delay 		= 0.1

SWEP.Primary.ClipSize		= 25					// Size of a clip
SWEP.Primary.DefaultClip	= 25					// Default number of bullets in a clip
SWEP.Primary.Automatic		= true				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "SniperPenetratedRound"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellEffect			= "effect_umb_shell_pistol"	// "effect_mad_shell_pistol" or "effect_mad_shell_rifle" or "effect_mad_shell_shotgun"

SWEP.Pistol				= false
SWEP.Rifle				= true
SWEP.Shotgun			= false
SWEP.Sniper				= false

SWEP.Type				= 1 					// 1 = Automatic/Semi-Automatic mode, 2 = Suppressor mode, 3 = Burst fire mode
SWEP.Mode				= true

SWEP.IronSightsPos = Vector (2.0799, -1.4997, 0.9196)
SWEP.IronSightsAng = Vector (-0.0044, 0.0027, 0)
SWEP.RunArmOffset 		= Vector (-2.6657, 0, 2.5)
SWEP.RunArmAngle 			= Vector (-20.0824, -20.5693, 0)

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/umc45/ump45-1.wav")
end