/*---------------------------------------------------------
------mmmm---mmmm-aaaaaaaa----ddddddddd---------------------------------------->
     mmmmmmmmmmmm aaaaaaaaa   dddddddddd	  Name: Mad Cows Weapons
     mmm mmmm mmm aaa    aaa  ddd     ddd	  Author: Worshipper
    mmm  mmm  mmm aaaaaaaaaaa ddd     ddd	  Project Start: October 23th, 2009
    mmm       mmm aaa     aaa dddddddddd	  File: mad_menu.lua
---mmm--------mmm-aaa-----aaa-ddddddddd---------------------------------------->
---------------------------------------------------------*/

/*---------------------------------------------------------
   Name: CrosshairOptions()
---------------------------------------------------------*/
local function CrosshairOptions(panel)

	local CrosshairOptions = {Options = {}, CVars = {}, Label = "#Presets", MenuButton = "1", Folder = "mad_cows_crosshair"}

	CrosshairOptions.Options["#Default"] = {	mad_crosshair_r =	"255",
								mad_crosshair_g =	"255",
								mad_crosshair_b =	"255",
								mad_crosshair_a =	"200",
								mad_crosshair_l =	"30",
								mad_crosshair_t =	"1"
							   }
									
	CrosshairOptions.CVars = { 	"mad_crosshair_r",
						"mad_crosshair_g",
						"mad_crosshair_b",
						"mad_crosshair_a",
						"mad_crosshair_l",
						"mad_crosshair_t"
					 }
						
	panel:AddControl("ComboBox", CrosshairOptions)

	panel:AddControl("CheckBox", {
		Label = "Enable Crosshair",
		Command = "mad_crosshair_t",
	})

	panel:AddControl("Color", {
		Label 	= "Crosshair Color",
		Red 		= "mad_crosshair_r",
		Green 	= "mad_crosshair_g",
		Blue 		= "mad_crosshair_b",
		Alpha 	= "mad_crosshair_a",
	})

	panel:AddControl("Slider", {
		Label 	= "Crosshair Lenght",
		Command 	= "mad_crosshair_l",
		Type 		= "Integer",
		Min 		= "5",
		Max 		= "100",
	})
end

/*---------------------------------------------------------
   Name: MadCowsToolMenu()
---------------------------------------------------------*/
function MadCowsToolMenu()

	spawnmenu.AddToolMenuOption("Options", "Mad Cows Weapons", "Crosshair Options", "Crosshair Options", "", "", CrosshairOptions, {SwitchConVar = 'mad_crosshair_t'})
end
hook.Add("PopulateToolMenu", "MadCowsToolMenu", MadCowsToolMenu)