// Variables that are used on both client and server
SWEP.Instructions			= "Uses 7.62mm ammo"
SWEP.Base 				= "umbrella_base_click"
SWEP.HoldType				= "smg"
SWEP.ViewModelFlip		= true
SWEP.ViewModel			= "models/weapons/v_sif_ak47.mdl"
SWEP.WorldModel			= "models/weapons/w_sif_ak47.mdl"
SWEP.ViewModelFOV			= 65
SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.Primary.Sound 		= Sound("Weapon_1K47.Single")
SWEP.Primary.Recoil		= 3
SWEP.Primary.Damage		= 33
SWEP.Primary.NumShots		= 1
SWEP.Primary.Cone			= 0.0182
SWEP.Primary.Delay 		= 0.12

SWEP.Primary.ClipSize		= 30					// Size of a clip
SWEP.Primary.DefaultClip	= 30					// Default number of bullets in a clip
SWEP.Primary.Automatic		= false				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "StriderMinigun"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellEffect			= "effect_umb_shell_rifle"	// "effect_mad_shell_pistol" or "effect_mad_shell_rifle" or "effect_mad_shell_shotgun"

SWEP.Pistol				= false
SWEP.Rifle				= true
SWEP.Shotgun			= false
SWEP.Sniper				= false

SWEP.IronSightsPos = Vector (5.267, -5.0013, 3.1189)
SWEP.IronSightsAng = Vector (0.202, -0.0084, 0)
SWEP.RunArmOffset 		= Vector (-2.6657, 0, 3.5)
SWEP.RunArmAngle 			= Vector (-20.0824, -20.5693, 0)

SWEP.Type				= 1 					// 1 = Automatic/Semi-Automatic mode, 2 = Suppressor mode, 3 = Burst fire mode
SWEP.Mode				= false

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/1k47/ak47-1.wav")
end