// Variables that are used on both client and server
SWEP.Instructions			= "Uses 12 Gauge Buckshot"
SWEP.Base 				= "umbrella_base_shotgun"

SWEP.ViewModelFlip		= true
SWEP.ViewModel			= "models/weapons/v_shot_s3super90.mdl"
SWEP.WorldModel			= "models/weapons/w_shot_s3super90.mdl"

SWEP.HoldType				= "shotgun"
SWEP.Spawnable			= false
SWEP.AdminSpawnable		= true

SWEP.Primary.Sound 		= Sound("Weapon_it.Single")
SWEP.Primary.Recoil		= 8
SWEP.Primary.Damage		= 4.3
SWEP.Primary.NumShots		= 20
SWEP.Primary.Cone			= 0.09
SWEP.Primary.Delay 		= 0.95

SWEP.Primary.ClipSize		= 4					// Size of a clip
SWEP.Primary.DefaultClip	= 4					// Default number of bullets in a clip
SWEP.Primary.Automatic		= false				// Automatic/Semi Auto
SWEP.Primary.Ammo			= "Buckshot"

SWEP.Secondary.ClipSize		= -1					// Size of a clip
SWEP.Secondary.DefaultClip	= -1					// Default number of bullets in a clip
SWEP.Secondary.Automatic	= false				// Automatic/Semi Auto
SWEP.Secondary.Ammo		= "none"

SWEP.ShellDelay			= 0.53
SWEP.IronSightsPos = Vector (2.2302, -1.5004, 1.2489)
SWEP.IronSightsAng = Vector (2.5355, 0.0082, 0)
SWEP.RunArmOffset 		= Vector (-2.8485, 0, 1.8887)
SWEP.RunArmAngle 		= Vector (-24.0073, -42.1306, 0)

SWEP.ShotgunReloading		= true
SWEP.ShotgunFinish		= 1.5
SWEP.ShotgunBeginReload		= 0.3

/*---------------------------------------------------------
   Name: SWEP:Precache()
   Desc: Use this function to precache stuff.
---------------------------------------------------------*/
function SWEP:Precache()

    	util.PrecacheSound("weapons/s3/m3-1.wav")
end